Skip to main content
`Ctrl`+`K`

# TSGetStepRollBack

Get the internal flag indicating if you are rolling back a step

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetStepRollBack(TS ts, PetscBool *flg)

Not collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- flg - the rollback flag

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSCreate()`, `TSRollBack()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex11.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages